#zgodaDiv {
    display: flex;
    gap: 1rem;
    justify-content: flex-end;
    position: relative;
}

#zgoda {
    position: absolute;
    width: 0;
    height: 0;
    top: -10000vh;
    opacity: 0;
}
#zgoda:focus + label::after {
    box-shadow: 0 0 0 1px var(--primary-color);
}

#zgodaDiv label {
    margin-right: 2rem;
    cursor: pointer;
}
#zgodaDiv label::after {
    content: '';
    position: absolute;
    background-color: var(--background-color);
    transition: 0.3s ease-in-out background-color, 0.3s ease-in-out filter;
    aspect-ratio: 1/1;
    right: 0;
    height: 100%;
}

#zgoda:checked + label::after {
    background-color: var(--primary-color);
}